<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | resetstats.php                                                            |
// |                                                                           |
// | Reset Geeklog's stats (hit counters, etc.).                               |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2004 by the following authors:                              |
// |                                                                           |
// | Authors: Dirk Haun - dirk@haun-online.de                                  |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id: resetstats.php,v 1.1.1.1 2004/09/05 19:29:04 dirk Exp $

require_once ('../lib-common.php');


// MAIN
$display = '';
$display .= COM_siteHeader ('menu');

// bail if user isn't a root user
if (!SEC_inGroup ('Root')) {
    $display .= COM_startBlock($MESSAGE[30], '',
                    COM_getBlockTemplate ('_msg_block', 'header'));
    $display .= $LANG20[6];
    $display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));
    $display .= COM_siteFooter ();
    COM_accessLog ("User {$_USER['username']} tried to illegally access the reset stats screen.");
    echo $display;
    exit;
}

$display .= COM_startBlock ('Resetting stats');

$display .= '<p>Resetting total hits counter ... ';
DB_query ("UPDATE {$_TABLES['vars']} SET value = 0 WHERE name = 'totalhits'");
$display .= 'Done.</p>';

$display .= '<p>Resetting story hits and email counters ... ';
DB_query ("UPDATE {$_TABLES['stories']} SET hits = 0, numemails = 0");
$display .= 'Done.</p>';

$display .= '<p>Resetting links clicks counters ... ';
DB_query ("UPDATE {$_TABLES['links']} SET hits = 0");
$display .= 'Done.</p>';

if (DB_getItem ($_TABLES['plugins'], 'pi_enabled', "pi_name = 'staticpages'") == 1) {
    $display .= '<p>Resetting static pages hits counters ... ';
    DB_query ("UPDATE {$_TABLES['staticpage']} SET sp_hits = 0");
    $display .= 'Done.</p>';
}

$display .= '<p>Finished resetting Geeklog stats.</p>';

$display .= COM_endBlock ();
$display .= COM_siteFooter ();

echo $display;

?>
